class ArchiveFileMultiple

  include Mongoid::Document
  include Mongoid::Timestamps
  include Mongoid::Sortable

  mount_uploader :file, AssetUploader

  field :file_title, localize: true
  # field :description
  field :choose_lang, :type => Array, :default => nil

  field :should_destroy, :type => Boolean

  default_scope asc(:sort_number)

  def choose_lang_display(lang)
    self.choose_lang.include?(lang)
  end

  belongs_to :archive_file

  # has_many :archive_file_multiple_langs, :autosave => true, :dependent => :destroy

  # accepts_nested_attributes_for :archive_file_multiple_langs, :allow_destroy => true

end
